<?php echo $header; ?><?php echo $column_left; ?>
<div id="content">
	<div class="page-header">
		<div class="container-fluid">
			<div class="pull-right">
				<button id="submit_button" type="submit" form="form-livechat" data-toggle="tooltip" title="<?php echo $button_save; ?>" class="btn btn-primary"><i class="fa fa-save"></i></button>
				<a href="<?php echo $cancel; ?>" data-toggle="tooltip" title="<?php echo $button_cancel; ?>" class="btn btn-default"><i class="fa fa-reply"></i></a></div>
			<h1><?php echo $heading_title_m; ?></h1>
			<ul class="breadcrumb">
				<?php foreach ($breadcrumbs as $breadcrumb) { ?>
				<li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
				<?php } ?>
			</ul>
		</div>
	</div>
	
	<div class="container-fluid">
		<?php if ($error_warning) { ?>
		<div class="alert alert-danger"><i class="fa fa-exclamation-circle"></i> <?php echo $error_warning; ?>
			<button type="button" class="close" data-dismiss="alert">&times;</button>
		</div>
		<?php } ?>
		<div class="panel panel-default">
			<div class="panel-heading">
				<h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo $text_edit; ?></h3>
			</div>
			<div class="panel-body">
				<form action="<?php echo $action; ?>" method="post" enctype="multipart/form-data" id="form-livechat" class="form-horizontal">
				 
					<div class="form-group">
						<div class="col-sm-2"> </div>
						<div class="col-sm-10"> 
						<div	<?php echo ($livechat_login ? 'hidden' : '')?> >	
							<div style="display:flex; justify-content: space-around;margin-right: 200px;">
								<div>
									<div style="display: flex;
												flex-direction: column;
												align-items: center;
												justify-content: center;
												height: 360px;
												min-width: 450px;">
										<div style="display: flex; flex-direction: row; align-items: center; max-width: 550px;">
											<div class="livechat_logo2"></div>
										</div>
										<div id="login_form">
											<div class="progress-button hidden">
												Saving...
											</div>
											<div>				
												<iframe id="login-with-livechat" src="https://addons.livechatinc.com/sign-in-with-livechat"> </iframe>
											</div>
										</div>
										<div class="or-delimiter">or</div>
										<div id="livechat_link" style="font-size: 15px; margin-top:4px;">
											<a href="https://my.livechatinc.com/signup?utm_source=prestashop.com&utm_medium=integration&utm_campaign=prestashop_integration" target="_blank">create an account</a>
										</div>
									</div>
								</div>
								<div style="text-align: center; max-width: 500px; display: flex;
                                    flex-direction: column;
                                    justify-content: center;
                                    align-items: center;">
									<div class="livechat_screenshot"></div>
									<p style="font-size:16px;">Check out our apps for <a href="https://www.livechatinc.com/applications/" target="_blank">desktop or mobile!</a></p>
								</div>
							</div>


						<div class="alert alert-success" style="display: none;" id="successLabel">Success - now saving settings...</div>
						</div>

						<div <?php echo (!$livechat_license_number ? 'hidden' : '')?> >
						<input type="text" name="login" id="livechat_login" value="<?php echo $livechat_login ?>"class="form-control" style="display:none;" placeholder="your LiveChat login, example: john@doe.com"/>
						<div style="display: flex; align-items: center;"> Currently you are using your <span class="alert alert-info signIn" style="display: inline-block; margin: 0px 6px;"><?php echo $livechat_login	?> </span> LiveChat account.</div>
						</div>

						<input type="text" name="license_number" id="license_number" value="<?php echo $livechat_license_number ?>" style="display:none;">
						<br>

						<?php if(!$livechat_login) { ?>
						<div id="livechat_nolicense" class="alert alert-danger" style="display:none;">
							<span class="animated">Incorrect LiveChat login.</span>
						</div>


						<?php } else { ?>

						<div> 

							<div class="greetingText">Log in to LiveChat and start chatting with your customers! </div>
							<span class="links"><a class="btn btn-primary webAppLink" style="display:inline-block" href="https://my.livechatinc.com/?utm_source=opencart.com&utm_medium=referral&utm_campaign=OpenCartIntegration" target="_blank">Sign in to web application</a>
								<span> or </span><a href="http://www.livechatinc.com/product/?utm_source=opencart.com&utm_medium=referral&utm_campaign=OpenCartIntegration" target="_blank"> download desktop app </a></span>
						</div>
						<?php } ?>
						<?php if ($error_livechat_code) { ?>
									<div class="text-danger"><?php echo $error_livechat_code; ?></div>
						<?php } ?>
						</div>
					</div>
			
					<div id="cart-controls"<?php echo (!isset($livechat_license_number) ? 'hidden' : '')?> >
						<div class="form-group">
							<label class="col-sm-2 control-label" for="input-test" >

								<span id="cart-details" data-toggle="tooltip" data-placement="top" data-offset="-200 -200" title="" data-original-title="Show customer's cart details during a chat or in the Visitors section of your LiveChat">
								Show cart

								</span>
							</label>
							<div class="col-sm-10">
								<select name="livechat_cart" id="input-livechat" class="form-control">
								<option value="<?php echo $text_no;?>" <?php echo ($livechat_cart == $text_no ? ' selected="selected"' : '')?>><?php echo $text_no; ?></option>
								<option value="<?php echo $text_yes;?>" <?php echo (($livechat_cart == $text_yes || !isset($livechat_cart)) ? ' selected="selected"' : '')?>><?php echo $text_yes.' (Recommended)'; ?></option>
								</select>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label" for="input-test" >
								<span id="cart-details" data-toggle="tooltip" data-placement="top" data-offset="-200 -200" title="" data-original-title="Hide chat on mobile devices">
									Hide chat on mobile
								</span>
							</label>
							<div class="col-sm-10">
								<select name="livechat_mobile" id="input-livechat" class="form-control">
								<option value="<?php echo $text_no;?>" <?php echo ($livechat_mobile == $text_no ? ' selected="selected"' : '')?>><?php echo $text_no; ?></option>
								<option value="<?php echo $text_yes;?>" <?php echo (($livechat_mobile == $text_yes || !isset($livechat_mobile)) ? ' selected="selected"' : '')?>><?php echo $text_yes; ?></option>
								</select>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label" for="input-test" >
								<span id="cart-details" data-toggle="tooltip" data-placement="top" data-offset="-200 -200" title="" data-original-title="Disable notification sounds for your visitors">
									Disable chat sounds<br /> for visitors
								</span>
							</label>
							<div class="col-sm-10">
								<select name="livechat_sounds" id="input-livechat" class="form-control">
								<option value="<?php echo $text_no;?>" <?php echo ($livechat_sounds == $text_no ? ' selected="selected"' : '')?>><?php echo $text_no; ?></option>
								<option value="<?php echo $text_yes;?>" <?php echo (($livechat_sounds == $text_yes || !isset($livechat_sounds)) ? ' selected="selected"' : '')?>><?php echo $text_yes; ?></option>
								</select>
							</div>
						</div>
						<div class="form-group">
							<label class="col-sm-2 control-label" for="input-test"><?php echo $entry_test; ?></label>
							<div class="col-sm-10">
								<select name="livechat_status" id="input-livechat" class="form-control">
									<option value="<?php echo $text_off;?>" <?php echo ($livechat_status == $text_off ? ' selected="selected"' : '')?>><?php echo $text_off; ?></option>
									<option value="<?php echo $text_on;?>" <?php echo (($livechat_status == $text_on || !isset($livechat_status)) ? ' selected="selected"' : '')?>><?php echo $text_on; ?></option>
								</select>
							</div>
						</div>
					</div>
				</form>
			</div>
		 
		</div>
	<?php if($livechat_login) { ?>
		<div id="reset_settings">Something went wrong? <span id="deletelivechat" style="text-decoration: underline; cursor: pointer">Reset your settings</span>.</div>
	<?php } ?>
	</div>
</div>
<script>
var LiveChat =
{
	init: function()
	{
		this.alreadyHaveAccountForm();
	},
	alreadyHaveAccountForm: function()
	{
			$('#deletelivechat').on('click', function()
		{
			$.ajax({
				url: 'index.php?route=module/livechat/removeLiveChat&token=<?php echo $session ?>',
				dataType: 'html',
				success: function(htmlText) {
				$('#cart-controls').addClass('hidden');
				window.location.reload();
				logoutLiveChat();
				},
				error: function(xhr, ajaxOptions, thrownError) {
				}
			});
			
		});
	},
	submitButton: function()
	{
			$('#form-livechat').submit();
			
			
	},
	showSuccessLabel: function()
	{
		$('#successLabel').show();
		$('#livechat_nolicense').hide();
		$('#livechat_signup').hide();	
		$('#livechat_login').hide();
	}
};
	
$(document).ready(function()
{
		window.login_with_livechat = document.getElementById('login-with-livechat');
			
		var sendMessage = function(msg) {
			login_with_livechat.contentWindow.postMessage(msg, '*');
		};
	
		window.logoutLiveChat = function() {
			sendMessage('logout');
		};
	
		function receiveMessage(event) {
			var livechatMessage = JSON.parse(event.data);
	
			if (livechatMessage.type === 'logged-in' && livechatMessage.eventTrigger === 'click') {
							
				$('iframe#login-with-livechat').addClass('hidden');
				$('.progress-button').removeClass('hidden');
				
				
				$('#livechat_login').val(livechatMessage.email);
				$('#license_number').val(livechatMessage.license);
				$('#form-livechat').submit();
				
			}
		}
	
		window.addEventListener("message", receiveMessage, false);
	
	
	LiveChat.init();
});
</script>
<?php echo $footer; ?> 